;  Copyright (c) 1993 Matt Kaufmann and Computational Logic, Inc.
;  (CLI).  All rights reserved.

(if (not (boundp 'ctl-t-keymap))
    (progn
      (defvar ctl-t-keymap)
      (setq ctl-t-keymap (make-sparse-keymap))
      (message "Redefining control-T; from now on hit it twice to transpose characters.")
      (define-key (current-global-map) "\C-T" ctl-t-keymap)
      (define-key ctl-t-keymap "\C-T" 'transpose-chars)
      (define-key ctl-t-keymap "\C-t" 'transpose-chars)))

(define-key ctl-t-keymap "1" 'first-checkpoint)
(define-key ctl-t-keymap "n" 'next-checkpoint)
(define-key ctl-t-keymap "p" 'previous-checkpoint)
(define-key ctl-t-keymap "c" 'checkpoint-options)
(define-key ctl-t-keymap "g" 'goto-checkpoint-level)
