;;; -*-  Mode: Lisp; Package: USER; Syntax: Common-Lisp; Base: 10 -*- ;;;;

;  Copyright (C) 1994 by Computational Logic, Inc.
;  All Rights Reserved.

;  Copying of this file is authorized to those who have read and
;  agreed with the terms in the "Pc-Nqthm-1992 GENERAL PUBLIC SOFTWARE
;  LICENSE" at the beginning of the Pc-Nqthm file "basis-pc.lisp".

;  Pc-Nqthm Version 1992 (for use with Nqthm-1992)

(IN-PACKAGE "USER")

(PROCLAIM '(FUNCTION CHK-FOR-SUITABILITY-OF-THIS-COMMON-LISP NIL T))
(PROCLAIM '(FUNCTION CELL (T T) T))
(PROCLAIM '(FUNCTION CREATE-LEMMA-STACK (T) T))
(PROCLAIM '(FUNCTION CREATE-LINEARIZE-ASSUMPTIONS-STACK (T) T))
(PROCLAIM '(FUNCTION CREATE-STACK1 (T) T))
(PROCLAIM '(FUNCTION DEFEVENT-APPLY (T T T T T) T))
(PROCLAIM '(FUNCTION GET-FIELD-NUMBER (T T) T))
(PROCLAIM '(FUNCTION KWOTE (T) T))
(PROCLAIM '(FUNCTION MATCH-MACRO (T T) T))
(PROCLAIM '(FUNCTION MATCH!-MACRO (T T) T))
(PROCLAIM '(FUNCTION MATCH1-MACRO (T T) T))
(PROCLAIM '(FUNCTION MATCH2-MACRO (T T) T))
(PROCLAIM '(FUNCTION NCONC1 (T T) T))
(PROCLAIM '(FUNCTION OUR-LAST (T) T))
(PROCLAIM '(FUNCTION PACK (T) T))
(PROCLAIM '(FUNCTION SUB-PAIR (T T T) T))
(PROCLAIM '(FUNCTION RECORD-DECLARATION (T T T) T))
(PROCLAIM '(FUNCTION GENERATE-ADD-FACT-PART (T) T))
(PROCLAIM '(FUNCTION GENERATE-ADD-SUB-FACT1 (T) T))
(PROCLAIM '(FUNCTION GENERATE-SUB-FACT-PART (T) T))
(PROCLAIM '(FUNCTION GENERATE-UNDO-TUPLE-PART (T) T))
(PROCLAIM '(FUNCTION *1*ADD1 (T) T))
(PROCLAIM '(FUNCTION *1*AND (T T) T))
(PROCLAIM '(FUNCTION *1*APPLY$ (T T) T))
(PROCLAIM '(FUNCTION *1**APPLY-SUBR (T T) T))
(PROCLAIM '(FUNCTION *1**ASSOC (T T) T))
(PROCLAIM '(FUNCTION *1**BODY (T) T))
(PROCLAIM '(FUNCTION *1*CAR (T) T))
(PROCLAIM '(FUNCTION *1*CDR (T) T))
(PROCLAIM '(FUNCTION *1*CONS (T T) T))
(PROCLAIM '(FUNCTION *1*COUNT (T) T))
(PROCLAIM '(FUNCTION *1*DIFFERENCE (T T) T))
(PROCLAIM '(FUNCTION *1*EQUAL (T T) T))
(PROCLAIM '(FUNCTION *1**EVLIST$ (T T) T))
(PROCLAIM '(FUNCTION *1**EVAL$ (T T) T))
(PROCLAIM '(FUNCTION *1*FALSE NIL T))
(PROCLAIM '(FUNCTION *1*FALSEP (T) T))
(PROCLAIM '(FUNCTION *1*FIX (T) T))
(PROCLAIM '(FUNCTION *1**FORMALS (T) T))
(PROCLAIM '(FUNCTION *1*IF-ERROR (T T T) T))
(PROCLAIM '(FUNCTION *1*IMPLIES (T T) T))
(PROCLAIM '(FUNCTION *1*LESSP (T T) T))
(PROCLAIM '(FUNCTION *1*LISTP (T) T))
(PROCLAIM '(FUNCTION *1*LITATOM (T) T))
(PROCLAIM '(FUNCTION *1*MINUS (T) T))
(PROCLAIM '(FUNCTION *1*NEGATIVE-GUTS (T) T))
(PROCLAIM '(FUNCTION *1*NEGATIVEP (T) T))
(PROCLAIM '(FUNCTION *1*NLISTP (T) T))
(PROCLAIM '(FUNCTION *1*NOT (T) T))
(PROCLAIM '(FUNCTION *1*NUMBERP (T) T))
(PROCLAIM '(FUNCTION *1*OR (T T) T))
(PROCLAIM '(FUNCTION *1*PACK (T) T))
(PROCLAIM '(FUNCTION *1*PLUS (T T) T))
(PROCLAIM '(FUNCTION *1*QUOTIENT (T T) T))
(PROCLAIM '(FUNCTION *1*REMAINDER (T T) T))
(PROCLAIM '(FUNCTION *1*SUB1 (T) T))
(PROCLAIM '(FUNCTION *1**SUBRP (T) T))
(PROCLAIM '(FUNCTION *1*TIMES (T T) T))
(PROCLAIM '(FUNCTION *1*TRUE NIL T))
(PROCLAIM '(FUNCTION *1*TRUEP (T) T))
(PROCLAIM '(FUNCTION *1*UNPACK (T) T))
(PROCLAIM '(FUNCTION *1*ZERO NIL T))
(PROCLAIM '(FUNCTION *1*ZEROP (T) T))
(PROCLAIM '(FUNCTION ABBREVIATIONP (T T) T))
(PROCLAIM '(FUNCTION ABBREVIATIONP1 (T) T))
(PROCLAIM '(FUNCTION ACCEPTABLE-COMPOUND-RECOGNIZER-LEMMAP (T T) T))
(PROCLAIM '(FUNCTION ACCEPTABLE-TYPE-PRESCRIPTION-LEMMAP (T T) T))
(PROCLAIM '(FUNCTION ACCESS-ERROR (T) T))
(PROCLAIM '(FUNCTION ADD-AXIOM1 (T T T) T))
(PROCLAIM '(FUNCTION ADD-DCELL (T T T) T))
(PROCLAIM '(FUNCTION ADD-ELIM-LEMMA (T T T) T))
(PROCLAIM '(FUNCTION ADD-EQUATION (T T) T))
(PROCLAIM '(FUNCTION ADD-EQUATIONS (T T) T))
(PROCLAIM '(FUNCTION ADD-EQUATIONS-TO-POT-LST (T T T) T))
(PROCLAIM '(FUNCTION ADD-FACT (T T T) T))
(PROCLAIM '(FUNCTION ADD-GENERALIZE-LEMMA (T T T) T))
(PROCLAIM '(FUNCTION ADD-LEMMA NIL T))
(PROCLAIM '(FUNCTION ADD-LEMMA0 (T T T) T))
(PROCLAIM '(FUNCTION ADD-LESSP-ASSUMPTION-TO-POLY (T T T) T))
(PROCLAIM '(FUNCTION ADD-LINEAR-TERM (T T T) T))
(PROCLAIM '(FUNCTION ADD-LINEAR-VARIABLE (T T T) T))
(PROCLAIM '(FUNCTION ADD-LINEAR-VARIABLE1 (T T T T) T))
(PROCLAIM '(FUNCTION ADD-LITERAL (T T T) T))
(PROCLAIM '(FUNCTION ADD-LITERAL-TO-END-AFTER-REVERSING (T T) T))
(PROCLAIM '(FUNCTION ADD-META-LEMMA (T T T) T))
(PROCLAIM '(FUNCTION ADD-NOT-EQUAL-0-ASSUMPTION-TO-POLY (T T) T))
(PROCLAIM '(FUNCTION ADD-NOT-LESSP-ASSUMPTION-TO-POLY (T T T) T))
(PROCLAIM '(FUNCTION ADD-NUMBERP-ASSUMPTION-TO-POLY (T T) T))
(PROCLAIM '(FUNCTION ADD-PROCESS-HIST (T T T T T) T))
(PROCLAIM '(FUNCTION ADD-REWRITE-LEMMA (T T T) T))
(PROCLAIM '(FUNCTION ADD-SHELL-ROUTINES (T T T T) T))
(PROCLAIM '(FUNCTION ADD-SHELL0 (T T T T) T))
(PROCLAIM '(FUNCTION ADD-SUB-FACT (T T T T T) T))
(PROCLAIM '(FUNCTION ADD-TERM-TO-POT-LST (T T T T) T))
(PROCLAIM '(FUNCTION ADD-TERMS-TO-POT-LST (T T T T) T))
(PROCLAIM '(FUNCTION ADD-TO-SET (T T) T))
(PROCLAIM '(FUNCTION ADD-TO-SET-EQ (T T) T))
(PROCLAIM '(FUNCTION ADD-TYPE-SET-LEMMAS (T T T T) T))
(PROCLAIM '(FUNCTION ADMITTED-FUNCTIONP (T) T))
(PROCLAIM '(FUNCTION ALL-ARGLISTS (T T) T))
(PROCLAIM '(FUNCTION ALL-FNNAMES (T) T))
(PROCLAIM '(FUNCTION ALL-FNNAMES1 (T) T))
(PROCLAIM '(FUNCTION ALL-FNNAMES1-EVG (T) T))
(PROCLAIM '(FUNCTION ALL-INSERTIONS (T T T) T))
(PROCLAIM '(FUNCTION ALL-PATHS (T) T))
(PROCLAIM '(FUNCTION ALL-PICKS (T) T))
(PROCLAIM '(FUNCTION ALL-VARS (T) T))
(PROCLAIM '(FUNCTION ALL-VARS-BAG (T) T))
(PROCLAIM '(FUNCTION ALL-VARS-BAG1 (T) T))
(PROCLAIM '(FUNCTION ALL-VARS-LST (T) T))
(PROCLAIM '(FUNCTION ALL-VARS1 (T) T))
(PROCLAIM '(FUNCTION ALMOST-QUOTEP (T) T))
(PROCLAIM '(FUNCTION ALMOST-QUOTEP1 (T) T))
(PROCLAIM '(FUNCTION ALMOST-SUBSUMES (T T) T))
(PROCLAIM '(FUNCTION ALMOST-SUBSUMES-LOOP (T) T))
(PROCLAIM '(FUNCTION ALPHORDER (T T) T))
(PROCLAIM '(FUNCTION ANCESTORS (T) T))
(PROCLAIM '(FUNCTION ANCESTORS1 (T) T))
(PROCLAIM '(FUNCTION APPLY-THEORY-HINTS (T T) T))
(PROCLAIM '(FUNCTION APPLY-HINTS (T T) T))
(PROCLAIM '(FUNCTION APPLY-INDUCT-HINT (T T) T))
(PROCLAIM '(FUNCTION APPLY-USE-HINT (T T) T))
(PROCLAIM '(FUNCTION ARG1-IN-ARG2-UNIFY-SUBST (T T) T))
(PROCLAIM '(FUNCTION ARGN0 (T T) T))
(PROCLAIM '(FUNCTION ARITY (T) T))
(PROCLAIM '(FUNCTION ASSOC-OF-APP NIL T))
(PROCLAIM '(FUNCTION ASSUME-TRUE-FALSE (T) T))
(PROCLAIM '(FUNCTION ASSUME-TRUE-LST (T T) T))
(PROCLAIM '(FUNCTION ATTEMPT-TO-REWRITE-RECOGNIZER (T) T))
(PROCLAIM '(FUNCTION AVAILABLE-EVENT-FS-PAIRS-ALIST (T) T))
(PROCLAIM '(FUNCTION BACKQUOTE (T) T))
(PROCLAIM '(FUNCTION BACKQUOTE-LST (T) T))
(PROCLAIM '(FUNCTION BACKQUOTE-SETTING (T) T))
(PROCLAIM '(FUNCTION BEVIER-MODE (T) T))
(PROCLAIM '(FUNCTION OUR-BOOLEAN (T) T))
(PROCLAIM '(FUNCTION BOOT-STRAP0 (T) T))
(PROCLAIM '(FUNCTION BREAK-AFTER-RELIEVE-HYPS (T T T T) T))
(PROCLAIM '(FUNCTION BREAK-AFTER-REWRITE-RHS (T T T T) T))
(PROCLAIM '(FUNCTION BREAK-AFTER-REWRITE-LINEAR-CONCL (T T T T) T))
(PROCLAIM
    '(FUNCTION BREAK-AFTER-LINEARIZE-REWRITTEN-CONCL (T T T T T) T))
(PROCLAIM '(FUNCTION BREAK-AFTER-LINEAR-WORSE-THAN (T T T T T T) T))
(PROCLAIM '(FUNCTION BREAK-BEFORE-RELIEVE-HYPS (T T T) T))
(PROCLAIM '(FUNCTION BREAK-ENTRY-MSG (T) T))
(PROCLAIM '(FUNCTION BREAK-EXIT-MSG (T T) T))
(PROCLAIM '(FUNCTION BREAK-LEMMA (T) T))
(PROCLAIM '(FUNCTION BREAK-LEMMA-COMMAND-HANDLER (T T T T) T))
(PROCLAIM '(FUNCTION BREAK-REWRITE NIL T))
(PROCLAIM '(FUNCTION BREAK-REWRITE-COMMAND-HANDLER (T T) T))
(PROCLAIM '(FUNCTION BTM-OBJECT (T) T))
(PROCLAIM '(FUNCTION BTM-OBJECT-OF-TYPE-SET (T) T))
(PROCLAIM '(FUNCTION BTM-OBJECTP (T) T))
(PROCLAIM '(FUNCTION BUILD-SUM (T T) T))
(PROCLAIM '(FUNCTION CANCEL-POLYS (T T) T))
(PROCLAIM '(FUNCTION CANCEL-POSITIVE (T) T))
(PROCLAIM '(FUNCTION CANCEL1 (T T T T) T))
(PROCLAIM '(FUNCTION CAR-CDRP (T) T))
(PROCLAIM '(FUNCTION CASE-FORMP (T) T))
(PROCLAIM '(FUNCTION CASE-FORM (T) T))
(PROCLAIM '(FUNCTION CASE-FORM1 (T T) T))
(PROCLAIM '(FUNCTION CASE-LENGTH (T T) T))
(PROCLAIM '(FUNCTION COND-FORMP (T) T))
(PROCLAIM '(FUNCTION COND-FORM (T) T))
(PROCLAIM '(FUNCTION COND-FORM1 (T) T))
(PROCLAIM '(FUNCTION COND-LENGTH (T) T))
(PROCLAIM '(FUNCTION CDR-ALL (T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-CONSTRAIN (T T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-DEFN (T T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-DCL (T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-DEFTHEORY (T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-ELIM-LEMMA (T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-FUNCTIONAL-SUBSTITUTION (T T) T))
(PROCLAIM
    '(FUNCTION CHK-ACCEPTABLE-FUNCTIONALLY-INSTANTIATE (T T T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-GENERALIZE-LEMMA (T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-HINTS (T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-LEMMA (T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-META-LEMMA (T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-REWRITE-LEMMA (T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-SET-STATUS (T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-SHELL (T T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-TOGGLE (T T T) T))
(PROCLAIM '(FUNCTION CHK-ACCEPTABLE-TOGGLE-DEFINED-FUNCTIONS (T T) T))
(PROCLAIM '(FUNCTION CHK-ARGLIST (T T) T))
(PROCLAIM '(FUNCTION CHK-COMMAND-STATUS (T) T))
(PROCLAIM '(FUNCTION CHK-DISABLEABLE (T) T))
(PROCLAIM '(FUNCTION CHK-INIT NIL T))
(PROCLAIM '(FUNCTION CHK-NEW-*1*NAME (T) T))
(PROCLAIM '(FUNCTION CHK-NEW-NAME (T T) T))
(PROCLAIM '(FUNCTION CHK-NQTHM-MODE$-ERR (T) T))
(PROCLAIM '(FUNCTION CHK-STATUS-ALIST (T) T))
(PROCLAIM '(FUNCTION CLAUSIFY (T) T))
(PROCLAIM '(FUNCTION CLAUSIFY-INPUT (T) T))
(PROCLAIM '(FUNCTION CLAUSIFY-INPUT1 (T T) T))
(PROCLAIM '(FUNCTION CLEAN-UP-BRANCHES (T) T))
(PROCLAIM
    '(FUNCTION CLEARLY-NOT-ACCEPTABLE-TYPE-PRESCRIPTION-LEMMAP (T) T))
(PROCLAIM '(FUNCTION CLOSE-THM-FILES NIL T))
(PROCLAIM '(FUNCTION CNF-DNF (T T) T))
(PROCLAIM '(FUNCTION COMMON-SWEEP (T) T))
(PROCLAIM '(FUNCTION COMMUTE-EQUALITIES (T) T))
(PROCLAIM '(FUNCTION COMPILE-UNCOMPILED-DEFNS (T) T))
(PROCLAIM '(FUNCTION COMPLEMENTARY-MULTIPLEP (T T T) T))
(PROCLAIM '(FUNCTION COMPLEMENTARYP (T T) T))
(PROCLAIM '(FUNCTION COMPLETE-ALIST (T T) T))
(PROCLAIM '(FUNCTION COMPLEXITY (T) T))
(PROCLAIM '(FUNCTION COMPRESS-POLY (T) T))
(PROCLAIM '(FUNCTION COMPRESS-POLY1 (T) T))
(PROCLAIM '(FUNCTION COMPUTE-VETOES (T) T))
(PROCLAIM '(FUNCTION COMSUBT1 (T) T))
(PROCLAIM '(FUNCTION COMSUBTERMS (T T) T))
(PROCLAIM '(FUNCTION CONJOIN (T T) T))
(PROCLAIM '(FUNCTION CONJOIN-CLAUSE-SETS (T T) T))
(PROCLAIM '(FUNCTION CONJOIN2 (T T T) T))
(PROCLAIM '(FUNCTION CONS-PLUS (T T) T))
(PROCLAIM '(FUNCTION CONS-TERM (T T) T))
(PROCLAIM '(FUNCTION CONSJOIN (T) T))
(PROCLAIM '(FUNCTION CONTAINS-REWRITEABLE-CALLP (T T) T))
(PROCLAIM '(FUNCTION CONVERT-TYPE-NO-TO-RECOGNIZER-TERM (T T) T))
(PROCLAIM '(FUNCTION CONS-COUNT (T) T))
(PROCLAIM '(FUNCTION COUNT-IFS (T) T))
(PROCLAIM '(FUNCTION CREATE-REWRITE-RULE (T T T T) T))
(PROCLAIM '(FUNCTION DATA-BASE (T T) T))
(PROCLAIM '(FUNCTION DCL0 (T T T) T))
(PROCLAIM '(FUNCTION DECODE-IDATE (T) T))
(PROCLAIM '(FUNCTION DEFN-ASSUME-TRUE-FALSE (T) T))
(PROCLAIM '(FUNCTION DEFN-LOGIOR (T T) T))
(PROCLAIM '(FUNCTION DEFN-SETUP (T) T))
(PROCLAIM '(FUNCTION DEFN-TYPE-SET (T) T))
(PROCLAIM '(FUNCTION DEFN-TYPE-SET2 (T T) T))
(PROCLAIM '(FUNCTION DEFN-WRAPUP (T) T))
(PROCLAIM '(FUNCTION DEFN0 (T T T T T T) T))
(PROCLAIM '(FUNCTION DELETE1 (T T) T))
(PROCLAIM '(FUNCTION DELETE-TAUTOLOGIES (T) T))
(PROCLAIM '(FUNCTION DEPEND (T T) T))
(PROCLAIM '(FUNCTION DEPENDENT-EVENTS (T) T))
(PROCLAIM '(FUNCTION DEPENDENTS-OF (T) T))
(PROCLAIM '(FUNCTION DEPENDENTS-OF1 (T) T))
(PROCLAIM '(FUNCTION DESTRUCTORS (T) T))
(PROCLAIM '(FUNCTION DESTRUCTORS1 (T) T))
(PROCLAIM '(FUNCTION DISABLED-BY-BOOT-STRAPP (T) T))
(PROCLAIM '(FUNCTION DISJOIN (T T) T))
(PROCLAIM '(FUNCTION DISJOIN-CLAUSES (T T) T))
(PROCLAIM '(FUNCTION DISJOIN2 (T T T) T))
(PROCLAIM '(FUNCTION DO-EVENTS (T) T))
(PROCLAIM '(FUNCTION DO-FILE (T) T))
(PROCLAIM '(FUNCTION DTACK-0-ON-END (T) T))
(PROCLAIM '(FUNCTION DUMB-CONJOIN (T) T))
(PROCLAIM
    '(FUNCTION DUMB-CONVERT-TYPE-SET-TO-TYPE-RESTRICTION-TERM (T T) T))
(PROCLAIM '(FUNCTION DUMB-IMPLICATE-LITS (T T) T))
(PROCLAIM '(FUNCTION DUMB-NEGATE-LIT (T) T))
(PROCLAIM '(FUNCTION DUMB-OCCUR (T T) T))
(PROCLAIM '(FUNCTION DUMB-OCCUR-LST (T T) T))
(PROCLAIM '(FUNCTION ELIMINABLE-VAR-CANDS (T T) T))
(PROCLAIM '(FUNCTION ELIMINABLEP (T) T))
(PROCLAIM '(FUNCTION ELIMINATE-DESTRUCTORS-CANDIDATEP (T) T))
(PROCLAIM '(FUNCTION ELIMINATE-DESTRUCTORS-CANDIDATES (T) T))
(PROCLAIM '(FUNCTION ELIMINATE-DESTRUCTORS-CANDIDATES1 (T) T))
(PROCLAIM '(FUNCTION ELIMINATE-DESTRUCTORS-CLAUSE (T T) T))
(PROCLAIM '(FUNCTION ELIMINATE-DESTRUCTORS-CLAUSE1 (T T T T T) T))
(PROCLAIM '(FUNCTION ELIMINATE-DESTRUCTORS-SENT (T T) T))
(PROCLAIM '(FUNCTION ELIMINATE-IRRELEVANCE-CLAUSE (T T) T))
(PROCLAIM '(FUNCTION ELIMINATE-IRRELEVANCE-SENT (T T) T))
(PROCLAIM '(FUNCTION ELIMINATE-SOME-EVAL$S (T) T))
(PROCLAIM '(FUNCTION EQUATIONAL-PAIR-FOR (T T) T))
(PROCLAIM '(FUNCTION ERRATICP (T) T))
(PROCLAIM '(FUNCTION ERRATICP1 (T) T))
(PROCLAIM '(FUNCTION ERROR1 (T T T) T))
(PROCLAIM '(FUNCTION EVENT1-OCCURRED-BEFORE-EVENT2 (T T T) T))
(PROCLAIM '(FUNCTION EVENT-THAT-PROVED-CONSTRAINT (T T T) T))
(PROCLAIM '(FUNCTION EVENTS-SINCE (T) T))
(PROCLAIM '(FUNCTION EVG (T) T))
(PROCLAIM '(FUNCTION EVG-OCCUR-LEGAL-CHAR-CODE-SEQ (T T) T))
(PROCLAIM '(FUNCTION EVG-OCCUR-NUMBER (T T) T))
(PROCLAIM '(FUNCTION EVG-OCCUR-OTHER (T T) T))
(PROCLAIM '(FUNCTION EXECUTE (T T T T T) T))
(PROCLAIM '(FUNCTION EXPAND-ABBREVIATIONS (T T) T))
(PROCLAIM '(FUNCTION EXPAND-AND-ORS (T T) T))
(PROCLAIM '(FUNCTION EXPAND-BOOT-STRAP-NON-REC-FNS (T) T))
(PROCLAIM '(FUNCTION EXPAND-NON-REC-FNS (T) T))
(PROCLAIM '(FUNCTION EXTEND-ALIST (T T) T))
(PROCLAIM '(FUNCTION EXTERNAL-LINEARIZE (T T) T))
(PROCLAIM '(FUNCTION EXTRACT-CONJUNCTS (T) T))
(PROCLAIM '(FUNCTION EXTRACT-DEPENDENCIES-FROM-HINTS (T) T))
(PROCLAIM '(FUNCTION FALSE-NONFALSEP (T) T))
(PROCLAIM '(FUNCTION FAVOR-COMPLICATED-CANDIDATES (T) T))
(PROCLAIM '(FUNCTION FCONS-TERM-NTH (T T) T))
(PROCLAIM '(FUNCTION FERTILIZE-CLAUSE (T T) T))
(PROCLAIM '(FUNCTION FERTILIZE-FEASIBLE (T T T T) T))
(PROCLAIM '(FUNCTION FERTILIZE-SENT (T T) T))
(PROCLAIM '(FUNCTION FERTILIZE1 (T T T T T) T))
(PROCLAIM '(FUNCTION FILTER-ARGS (T T T) T))
(PROCLAIM '(FUNCTION FIND-EQUATIONAL-POLY (T T) T))
(PROCLAIM '(FUNCTION FIRST-COEFFICIENT (T) T))
(PROCLAIM '(FUNCTION FIRST-VAR (T) T))
(PROCLAIM '(FUNCTION FITS (T T T) T))
(PROCLAIM '(FUNCTION FIX-CASE (T T) T))
(PROCLAIM '(FUNCTION FIX-COND (T) T))
(PROCLAIM '(FUNCTION FIXCAR-CDR (T) T))
(PROCLAIM '(FUNCTION FLATTEN-TERM (T T) T))
(PROCLAIM '(FUNCTION FLATTEN-ANDS-IN-LIT (T) T))
(PROCLAIM '(FUNCTION FLESH-OUT-IND-PRIN (T T T T T T) T))
(PROCLAIM '(FUNCTION FLUSH-CAND1-DOWN-CAND2 (T T) T))
(PROCLAIM '(FUNCTION FN-SYMB0 (T) T))
(PROCLAIM '(FUNCTION FNNAMEP (T T) T))
(PROCLAIM '(FUNCTION FNNAMEP-IF (T) T))
(PROCLAIM '(FUNCTION FORM-COUNT (T) T))
(PROCLAIM '(FUNCTION FORM-COUNT-EVG (T) T))
(PROCLAIM '(FUNCTION FORM-COUNT1 (T) T))
(PROCLAIM '(FUNCTION FORM-INDUCTION-CLAUSE (T T T T) T))
(PROCLAIM '(FUNCTION FORM-THEORY (T) T))
(PROCLAIM '(FUNCTION FORM-THEORY-AUX (T) T))
(PROCLAIM '(FUNCTION FORMULA-OF (T) T))
(PROCLAIM '(FUNCTION FREE-VAR-CHK (T T T) T))
(PROCLAIM '(FUNCTION FREE-VARSP (T T) T))
(PROCLAIM '(FUNCTION GEN-VARS1 (T T T) T))
(PROCLAIM '(FUNCTION GEN-VARS (T T T) T))
(PROCLAIM '(FUNCTION GENERALIZE-CLAUSE (T T) T))
(PROCLAIM '(FUNCTION GENERALIZE-SENT (T T) T))
(PROCLAIM '(FUNCTION GENERALIZE1 (T T T) T))
(PROCLAIM '(FUNCTION GENERALIZE2 (T T T) T))
(PROCLAIM '(FUNCTION GENRLT1 (T) T))
(PROCLAIM '(FUNCTION GENRLTERMS (T) T))
(PROCLAIM '(FUNCTION GET-CANDS (T) T))
(PROCLAIM '(FUNCTION GET-LISP-SEXPR (T) T))
(PROCLAIM '(FUNCTION GET-LEVEL-NO (T) T))
(PROCLAIM '(FUNCTION GET-STACK-NAME (T) T))
(PROCLAIM '(FUNCTION GET-STACK-NAME1 (T) T))
(PROCLAIM '(FUNCTION GET-STATUS (T T) T))
(PROCLAIM '(FUNCTION GET-TYPES (T T) T))
(PROCLAIM '(FUNCTION GUARANTEE-CITIZENSHIP (T) T))
(PROCLAIM '(FUNCTION GUESS-NEW-EVENT-NAME (T) T))
(PROCLAIM '(FUNCTION GUESS-RELATION-MEASURE-LST (T T) T))
(PROCLAIM '(FUNCTION HAS-LIB-PROPS (T) T))
(PROCLAIM '(FUNCTION HAS-PROP (T T) T))
(PROCLAIM '(FUNCTION HIGH-PERSISTENCEP (T) T))
(PROCLAIM '(FUNCTION HIGHLIGHT-REWRITE-PATH (T) T))
(PROCLAIM '(FUNCTION HITABLE-AXIOM-INTRODUCED-BY (T) T))
(PROCLAIM '(FUNCTION HITP (T T) T))
(PROCLAIM '(FUNCTION IDATE NIL T))
(PROCLAIM '(FUNCTION IF-NOT-NQTHM-MODE (T) T))
(PROCLAIM '(FUNCTION IF-NQTHM-MODE (T) T))
(PROCLAIM '(FUNCTION ILLEGAL-NAME (T) T))
(PROCLAIM '(FUNCTION IMMEDIATE-DEPENDENTS-OF (T) T))
(PROCLAIM '(FUNCTION IMMEDIATE-SUPPORTERS-OF (T) T))
(PROCLAIM '(FUNCTION IMPLIES? (T T) T))
(PROCLAIM '(FUNCTION IMPOSSIBLE-POLYP (T) T))
(PROCLAIM '(FUNCTION IND-FORMULA (T T T) T))
(PROCLAIM '(FUNCTION INDUCT (T) T))
(PROCLAIM '(FUNCTION INDUCT-VARS (T) T))
(PROCLAIM '(FUNCTION INDUCTION-MACHINE (T T T) T))
(PROCLAIM '(FUNCTION INFORM-SIMPLIFY (T T) T))
(PROCLAIM '(FUNCTION INIT-LEMMA-STACK NIL T))
(PROCLAIM '(FUNCTION INIT-LIB (T T) T))
(PROCLAIM '(FUNCTION INIT-LINEARIZE-ASSUMPTIONS-STACK NIL T))
(PROCLAIM '(FUNCTION INSURE-FREE-V-ASSUMPTION (T T T) T))
(PROCLAIM '(FUNCTION INTERESTING-SUBTERMS (T) T))
(PROCLAIM '(FUNCTION INTERSECTION-EQ (T T) T))
(PROCLAIM '(FUNCTION INTERSECTP (T T) T))
(PROCLAIM '(FUNCTION INTRODUCE-ANDS (T) T))
(PROCLAIM '(FUNCTION INTRODUCE-LISTS (T) T))
(PROCLAIM '(FUNCTION INVERT (T) T))
(PROCLAIM '(FUNCTION IPOSITION (T T T) T))
(PROCLAIM '(FUNCTION IPRINC (T T) T))
(PROCLAIM '(FUNCTION ISPACES (T T) T))
(PROCLAIM '(FUNCTION ITERPRI (T) T))
(PROCLAIM '(FUNCTION ITERPRIN (T T) T))
(PROCLAIM '(FUNCTION ITERPRISPACES (T T) T))
(PROCLAIM '(FUNCTION JUMPOUTP (T T) T))
(PROCLAIM '(FUNCTION KILL-DEFINITION (T) T))
(PROCLAIM '(FUNCTION KILL-EVENT (T) T))
(PROCLAIM '(FUNCTION KILL-LIB NIL T))
(PROCLAIM '(FUNCTION KILL-PROP-LIST (T) T))
(PROCLAIM '(FUNCTION LEGAL-CHAR-CODE-SEQ (T) T))
(PROCLAIM '(FUNCTION LENGTH-TO-ATOM (T) T))
(PROCLAIM '(FUNCTION LEXORDER (T T) T))
(PROCLAIM '(FUNCTION LINEARIZE (T T) T))
(PROCLAIM '(FUNCTION LISTABLE-EVG-PAIRS (T) T))
(PROCLAIM '(FUNCTION LOOKUP-HYP (T) T))
(PROCLAIM '(FUNCTION LOOP-STOPPER (T) T))
(PROCLAIM '(FUNCTION MAYBE-OPENABLE (T) T))
(PROCLAIM '(FUNCTION MAIN-EVENT-OF (T) T))
(PROCLAIM '(FUNCTION MAINTAIN-REWRITE-PATH (T) T))
(PROCLAIM '(FUNCTION MAKE-EVENT (T T) T))
(PROCLAIM '(FUNCTION MAKE-NEW-NAME (T) T))
(PROCLAIM '(FUNCTION MAKE-REWRITE-RULES (T T T) T))
(PROCLAIM '(FUNCTION MAKE-ALIST (T T T) T))
(PROCLAIM '(FUNCTION MAKE-DISABLEDP-HASH-FROM-GLOBAL-DATA (T) T))
(PROCLAIM '(FUNCTION MAKE-GLOBAL-DISABLEDP-HASH NIL T))
(PROCLAIM '(FUNCTION MAKE-LOCAL-DISABLEDP-HASH (T T) T))
(PROCLAIM '(FUNCTION MAKE-LOCAL-FS (T T) T))
(PROCLAIM '(FUNCTION MAKE-SET! (T) T))
(PROCLAIM '(FUNCTION MAKE-SUBSTITUTION-FROM-SEMI-CONCRETE-ALIST (T) T))
(PROCLAIM '(FUNCTION MAKE-TAMEP-SUBST (T) T))
(PROCLAIM '(FUNCTION MAKE-TAMEP-SUBST1 (T T) T))
(PROCLAIM '(FUNCTION MAKE-TYPE-RESTRICTION (T T T T) T))
(PROCLAIM '(FUNCTION MAYBE-IGNORE-SOME-ARGS (T T) T))
(PROCLAIM '(FUNCTION MAYBE-MONITOR (T T T) T))
(PROCLAIM '(FUNCTION MAX-FORM-COUNT (T) T))
(PROCLAIM '(FUNCTION MAXIMAL-ELEMENTS (T T) T))
(PROCLAIM '(FUNCTION MEMB-NEGATIVE (T T) T))
(PROCLAIM '(FUNCTION MERGE-CAND1-INTO-CAND2 (T T) T))
(PROCLAIM '(FUNCTION MERGE-CANDS (T T) T))
(PROCLAIM '(FUNCTION MERGE-DESTRUCTOR-CANDIDATES (T) T))
(PROCLAIM '(FUNCTION MERGE-TESTS-AND-ALISTS-LSTS (T T T) T))
(PROCLAIM '(FUNCTION META-LEMMAP (T) T))
(PROCLAIM '(FUNCTION MOST-RECENT-NON-STATUS NIL T))
(PROCLAIM '(FUNCTION NEGATE (T) T))
(PROCLAIM '(FUNCTION NEGATE-LIT (T) T))
(PROCLAIM '(FUNCTION NEW-TAMEP-SUBST-VAR (T) T))
(PROCLAIM '(FUNCTION NEXT-AVAILABLE-TYPE-NO NIL T))
(PROCLAIM '(FUNCTION NO-DUPLICATESP (T) T))
(PROCLAIM '(FUNCTION NON-RECURSIVE-DEFNP (T) T))
(PROCLAIM '(FUNCTION NORMALIZE-IFS (T T T T) T))
(PROCLAIM '(FUNCTION NOT-IDENT (T T) T))
(PROCLAIM '(FUNCTION NOT-TO-BE-REWRITTENP (T T) T))
(PROCLAIM '(FUNCTION NQTHM-READTABLE NIL T))
(PROCLAIM '(FUNCTION NUMBERP? (T) T))
(PROCLAIM '(FUNCTION OBJ-TABLE (T T T) T))
(PROCLAIM '(FUNCTION OCCUR (T T) T))
(PROCLAIM '(FUNCTION OCCUR-CNT (T T) T))
(PROCLAIM '(FUNCTION OCCUR-LST (T T) T))
(PROCLAIM '(FUNCTION ODDS (T) T))
(PROCLAIM '(FUNCTION OK-SYMBOLP (T) T))
(PROCLAIM '(FUNCTION ONE-WAY-UNIFY (T T) T))
(PROCLAIM '(FUNCTION ONE-WAY-UNIFY1 (T T) T))
(PROCLAIM '(FUNCTION ONE-WAY-UNIFY11 (T T) T))
(PROCLAIM '(FUNCTION ONEIFY (T T) T))
(PROCLAIM '(FUNCTION ONEIFY-ASSUME-FALSE (T T) T))
(PROCLAIM '(FUNCTION ONEIFY-ASSUME-TRUE (T T) T))
(PROCLAIM '(FUNCTION ONEIFY-TEST (T T) T))
(PROCLAIM '(FUNCTION OPTIMIZE-COMMON-SUBTERMS (T) T))
(PROCLAIM '(FUNCTION OUR-EXPLODEN (T) T))
(PROCLAIM '(FUNCTION OUR-FLATC (T) T))
(PROCLAIM '(FUNCTION OUR-FLATC-NUMBER (T) T))
(PROCLAIM '(FUNCTION OUR-GETCHARN (T T) T))
(PROCLAIM '(FUNCTION OUR-LINEL (T T) T))
(PROCLAIM '(FUNCTION OUR-MERGE (T T T) T))
(PROCLAIM '(FUNCTION OUR-STABLE-SORT (T T) T))
(PROCLAIM '(FUNCTION PARTITION (T) T))
(PROCLAIM '(FUNCTION PARTITION-CLAUSES (T) T))
(PROCLAIM '(FUNCTION PATH-ADD-TO-SET (T T) T))
(PROCLAIM '(FUNCTION PATH-EQ (T T) T))
(PROCLAIM '(FUNCTION PATH-POT-SUBSUMES (T T) T))
(PROCLAIM '(FUNCTION PATH-UNION (T T) T))
(PROCLAIM '(FUNCTION PEGATE-LIT (T) T))
(PROCLAIM '(FUNCTION PICK-HIGH-SCORES (T) T))
(PROCLAIM '(FUNCTION PIGEON-HOLE (T T T T T) T))
(PROCLAIM '(FUNCTION PIGEON-HOLE1 (T T T T T) T))
(PROCLAIM '(FUNCTION PLUSJOIN (T) T))
(PROCLAIM '(FUNCTION POLY-MEMBER (T T) T))
(PROCLAIM '(FUNCTION POP-CLAUSE-SET NIL T))
(PROCLAIM '(FUNCTION POP-LEMMA-FRAME NIL T))
(PROCLAIM '(FUNCTION POP-LINEARIZE-ASSUMPTIONS-FRAME NIL T))
(PROCLAIM '(FUNCTION POP-REWRITE-PATH-FRAME NIL T))
(PROCLAIM '(FUNCTION POSSIBLE-IND-PRINCIPLES (T) T))
(PROCLAIM '(FUNCTION POSSIBLY-NUMERIC (T) T))
(PROCLAIM '(FUNCTION POWER-EVAL (T T) T))
(PROCLAIM '(FUNCTION POWER-REP (T T) T))
(PROCLAIM '(FUNCTION PPC (T) T))
(PROCLAIM '(FUNCTION PPE (T) T))
(PROCLAIM '(FUNCTION PPR (T T) T))
(PROCLAIM '(FUNCTION PPR-TERM (T T) T))
(PROCLAIM '(FUNCTION PPRINDENT (T T T T) T))
(PROCLAIM '(FUNCTION PPSD (T) T))
(PROCLAIM '(FUNCTION PPSD-LST (T) T))
(PROCLAIM '(FUNCTION PREPROCESS (T) T))
(PROCLAIM '(FUNCTION PREPROCESS-HYPS (T) T))
(PROCLAIM '(FUNCTION PRETTYIFY-CLAUSE (T) T))
(PROCLAIM '(FUNCTION PRETTYIFY-LISP (T) T))
(PROCLAIM '(FUNCTION PRETTYIFY-RULE (T T) T))
(PROCLAIM '(FUNCTION PRETTYIFY-TYPE-ALIST (T) T))
(PROCLAIM '(FUNCTION PRIMITIVE-RECURSIVEP (T) T))
(PROCLAIM '(FUNCTION PRIMITIVEP (T) T))
(PROCLAIM '(FUNCTION PRINT-DATE-LINE NIL T))
(PROCLAIM '(FUNCTION PRINT-IDATE (T T) T))
(PROCLAIM '(FUNCTION PRINT-STACK (T) T))
(PROCLAIM '(FUNCTION PRINT-STATS (T T T T) T))
(PROCLAIM '(FUNCTION PRINC-LOC (T T T T) T))
(PROCLAIM '(FUNCTION PRINT-NQTHM-MODS (T) T))
(PROCLAIM '(FUNCTION PRINT-REWRITE-PATH-FRAME (T T T) T))
(PROCLAIM '(FUNCTION PRINT-REWRITE-PATH (T T) T))
(PROCLAIM '(FUNCTION PRINT-SUBSTITUTION (T T T) T))
(PROCLAIM '(FUNCTION PRINT-NQTHM-DISCLAIMER NIL T))
(PROCLAIM '(FUNCTION PRINT-TWO-COLUMN-TABLE (T T T T T) T))
(PROCLAIM '(FUNCTION PROCESS-EQUATIONAL-POLYS (T T T) T))
(PROCLAIM '(FUNCTION PROPERTYLESS-SYMBOLP (T) T))
(PROCLAIM '(FUNCTION PROVE (T) T))
(PROCLAIM '(FUNCTION PROVE-FN (T) T))
(PROCLAIM '(FUNCTION PROVE-TERMINATION (T T T) T))
(PROCLAIM '(FUNCTION PSEUDO-TERMP (T) T))
(PROCLAIM '(FUNCTION PUSH-CLAUSE-SET (T) T))
(PROCLAIM '(FUNCTION PUSH-LEMMA (T) T))
(PROCLAIM '(FUNCTION PUSH-LEMMA-FRAME NIL T))
(PROCLAIM '(FUNCTION PUSH-LINEARIZE-ASSUMPTION (T) T))
(PROCLAIM '(FUNCTION PUSH-LINEARIZE-ASSUMPTIONS-FRAME NIL T))
(PROCLAIM '(FUNCTION PUSH-REWRITE-PATH-FRAME (T T T T) T))
(PROCLAIM '(FUNCTION PUSHU NIL T))
(PROCLAIM '(FUNCTION PUT-INDUCTION-INFO (T T T T) T))
(PROCLAIM '(FUNCTION PUT-LEVEL-NO (T) T))
(PROCLAIM '(FUNCTION PUT-REWRITE-PATH-ALIST (T) T))
(PROCLAIM '(FUNCTION PUT-TOTALP (T) T))
(PROCLAIM '(FUNCTION PUT-TYPE-PRESCRIPTION (T) T))
(PROCLAIM '(FUNCTION PUT1 (T T T) T))
(PROCLAIM '(FUNCTION PUT1-LST (T T) T))
(PROCLAIM '(FUNCTION PUTD1 (T T) T))
(PROCLAIM '(FUNCTION QUICK-BLOCK-INFO (T T) T))
(PROCLAIM '(FUNCTION QUICK-BLOCK-INFO1 (T T) T))
(PROCLAIM '(FUNCTION QUICK-WORSE-THAN (T T) T))
(PROCLAIM '(FUNCTION QUOTATIONS-CHK (T) T))
(PROCLAIM '(FUNCTION QUOTATIONS-CHK-ER (T T T) T))
(PROCLAIM '(FUNCTION OUR-QUOTIENT (T T) T))
(PROCLAIM '(FUNCTION R (T) T))
(PROCLAIM '(FUNCTION R-LOOP NIL T))
(PROCLAIM '(FUNCTION R-LOOP1 (T) T))
(PROCLAIM '(FUNCTION RANDOM-INITIALIZATION (T) T))
(PROCLAIM '(FUNCTION RANDOM-NUMBER (T) T))
(PROCLAIM '(FUNCTION READ-FILE (T) T))
(PROCLAIM '(FUNCTION RECOGNIZER-TERMP (T) T))
(PROCLAIM '(FUNCTION REDUCE-TERM (T T) T))
(PROCLAIM '(FUNCTION REDUCE-TERM1 (T T) T))
(PROCLAIM '(FUNCTION REDUCE-TERM-TRACE (T T) T))
(PROCLAIM '(FUNCTION REDUCE-TERM-TRACE1 (T T) T))
(PROCLAIM '(FUNCTION REDUCE-TERM-TRACE1-LIST (T T) T))
(PROCLAIM '(FUNCTION REDUCE-TERM-SUBRS (T) T))
(PROCLAIM '(FUNCTION RELEVANT-EVENTS (T T) T))
(PROCLAIM '(FUNCTION RELIEVE-HYPS (T) T))
(PROCLAIM '(FUNCTION RELIEVE-HYPS-NOT-OK (T) T))
(PROCLAIM '(FUNCTION RELIEVE-HYPS1 (T) T))
(PROCLAIM '(FUNCTION OUR-REMAINDER (T T) T))
(PROCLAIM '(FUNCTION REMOVE-*2*IFS (T) T))
(PROCLAIM '(FUNCTION REMOVE-IDENTITY (T T) T))
(PROCLAIM '(FUNCTION REMOVE-NEGATIVE (T T) T))
(PROCLAIM '(FUNCTION REMOVE-REDUNDANT-TESTS (T T) T))
(PROCLAIM '(FUNCTION REMOVE1 (T T) T))
(PROCLAIM '(FUNCTION REMOVE-TRIVIAL-EQUATIONS (T) T))
(PROCLAIM '(FUNCTION REMOVE-UNCHANGING-VARS (T T) T))
(PROCLAIM '(FUNCTION REWRITE (T T T T T T T) T))
(PROCLAIM '(FUNCTION REWRITE-CAR-V&C-APPLY$ (T T T T) T))
(PROCLAIM '(FUNCTION REWRITE-APPLY$ (T T T T) T))
(PROCLAIM '(FUNCTION REWRITE-APPLY-SUBR (T T T T) T))
(PROCLAIM '(FUNCTION REWRITE-V&C$ (T T T T) T))
(PROCLAIM '(FUNCTION REWRITE-V&C$-AND-EVAL$-FLG (T) T))
(PROCLAIM '(FUNCTION REWRITE-V&C-APPLY$ (T T T T) T))
(PROCLAIM '(FUNCTION REWRITE-CAR-V&C$ (T T T T) T))
(PROCLAIM '(FUNCTION REWRITE-EVAL$ (T T T T) T))
(PROCLAIM '(FUNCTION REWRITE-FNCALL (T T) T))
(PROCLAIM '(FUNCTION REWRITE-FNCALLP (T T) T))
(PROCLAIM '(FUNCTION REWRITE-FOR (T T) T))
(PROCLAIM '(FUNCTION REWRITE-IF (T T T T) T))
(PROCLAIM '(FUNCTION REWRITE-IF1 (T T T) T))
(PROCLAIM '(FUNCTION REWRITE-LINEAR-CONCL (T) T))
(PROCLAIM '(FUNCTION REWRITE-SOLIDIFY (T) T))
(PROCLAIM '(FUNCTION REWRITE-TYPE-PRED (T) T))
(PROCLAIM '(FUNCTION REWRITE-WITH-LEMMAS (T) T))
(PROCLAIM '(FUNCTION REWRITE-WITH-LINEAR (T) T))
(PROCLAIM '(FUNCTION S (T T) T))
(PROCLAIM '(FUNCTION SARGS (T) T))
(PROCLAIM '(FUNCTION SCONS-TERM (T T) T))
(PROCLAIM '(FUNCTION SCRUNCH (T) T))
(PROCLAIM '(FUNCTION SCRUNCH-CLAUSE (T) T))
(PROCLAIM '(FUNCTION SCRUNCH-CLAUSE-SET (T) T))
(PROCLAIM '(FUNCTION SEARCH-GROUND-UNITS (T) T))
(PROCLAIM '(FUNCTION SEMI-CONCRETE-ALISTP (T) T))
(PROCLAIM '(FUNCTION SET-DIFF (T T) T))
(PROCLAIM '(FUNCTION SET-DIFF-EQ (T T) T))
(PROCLAIM '(FUNCTION SET-SIMPLIFY-CLAUSE-POT-LST (T T) T))
(PROCLAIM '(FUNCTION SET-STATUS1 (T T) T))
(PROCLAIM '(FUNCTION SETTLED-DOWN-CLAUSE (T T) T))
(PROCLAIM '(FUNCTION SETTLED-DOWN-SENT (T T) T))
(PROCLAIM '(FUNCTION SETUP (T T T) T))
(PROCLAIM '(FUNCTION SETUP-V&C$ (T) T))
(PROCLAIM '(FUNCTION SHELL-CONSTRUCTORP (T) T))
(PROCLAIM '(FUNCTION SHELL-DESTRUCTOR-NESTP (T T) T))
(PROCLAIM '(FUNCTION SHELL-OCCUR (T T) T))
(PROCLAIM '(FUNCTION SHELL-OCCUR1 (T T) T))
(PROCLAIM '(FUNCTION SHELLP (T) T))
(PROCLAIM '(FUNCTION SIMPLIFY-CLAUSE (T T) T))
(PROCLAIM '(FUNCTION SIMPLIFY-CLAUSE-MAXIMALLY (T) T))
(PROCLAIM '(FUNCTION SIMPLIFY-CLAUSE-MAXIMALLY1 (T) T))
(PROCLAIM '(FUNCTION SIMPLIFY-CLAUSE0 (T T) T))
(PROCLAIM '(FUNCTION SIMPLIFY-CLAUSE1 (T T T T) T))
(PROCLAIM '(FUNCTION SIMPLIFY-LOOP (T) T))
(PROCLAIM '(FUNCTION SIMPLIFY-SENT (T T) T))
(PROCLAIM '(FUNCTION SINGLETON-CONSTRUCTOR-TO-RECOGNIZER (T) T))
(PROCLAIM '(FUNCTION SKETCH (T T) T))
(PROCLAIM '(FUNCTION SKETCH-LST (T T) T))
(PROCLAIM '(FUNCTION SKO-DEST-NESTP (T T) T))
(PROCLAIM '(FUNCTION SMART-ASSUME-TRUE-FALSE (T) T))
(PROCLAIM '(FUNCTION SOME-SUBTERM-WORSE-THAN-OR-EQUAL (T T) T))
(PROCLAIM '(FUNCTION SORT-DESTRUCTOR-CANDIDATES (T) T))
(PROCLAIM '(FUNCTION SORT-EVENTS (T) T))
(PROCLAIM '(FUNCTION SOUND-IND-PRIN-MASK (T T T T) T))
(PROCLAIM '(FUNCTION SPELL-NUMBER (T) T))
(PROCLAIM '(FUNCTION STANDARD-ALIST (T) T))
(PROCLAIM '(FUNCTION START-STATS NIL T))
(PROCLAIM '(FUNCTION STOP-STATS NIL T))
(PROCLAIM '(FUNCTION STORE-DEFINITION (T T) T))
(PROCLAIM '(FUNCTION STORE-SENT (T T) T))
(PROCLAIM '(FUNCTION STRIP-BRANCHES (T) T))
(PROCLAIM '(FUNCTION STRIP-TERM (T T T T T) T))
(PROCLAIM '(FUNCTION STRIP-ARGS (T T) T))
(PROCLAIM '(FUNCTION SUBBAGP (T T) T))
(PROCLAIM '(FUNCTION SUBLIS-EXPR1 (T T) T))
(PROCLAIM '(FUNCTION SUBLIS-FN (T T) T))
(PROCLAIM '(FUNCTION SUBLIS-VAR (T T) T))
(PROCLAIM '(FUNCTION SUBLIS-VAR-LST (T T) T))
(PROCLAIM '(FUNCTION SUB-PAIR-EXPR (T T T) T))
(PROCLAIM '(FUNCTION SUB-PAIR-EXPR1 (T T T) T))
(PROCLAIM '(FUNCTION SUB-PAIR-VAR (T T T) T))
(PROCLAIM '(FUNCTION SUB-PAIR-VAR-LST (T T T) T))
(PROCLAIM '(FUNCTION SUBSETP-EQ (T T) T))
(PROCLAIM '(FUNCTION SUBSETP-EQUAL (T T) T))
(PROCLAIM '(FUNCTION SUBST-EXPR (T T T) T))
(PROCLAIM '(FUNCTION SUBST-EXPR-ERROR1 (T) T))
(PROCLAIM '(FUNCTION SUBST-EXPR-LST (T T T) T))
(PROCLAIM '(FUNCTION SUBST-EXPR1 (T T T) T))
(PROCLAIM '(FUNCTION SUBST-VAR (T T T) T))
(PROCLAIM '(FUNCTION SUBST-VAR-LST (T T T) T))
(PROCLAIM '(FUNCTION SUBSTITUTE-EXPR (T T T) T))
(PROCLAIM '(FUNCTION SUBSUMES (T T) T))
(PROCLAIM '(FUNCTION SUBSUMES-REWRITE-RULE (T T) T))
(PROCLAIM '(FUNCTION SUBSUMES1 (T) T))
(PROCLAIM '(FUNCTION SUBSUMES11 (T T T) T))
(PROCLAIM '(FUNCTION SUPER-TAMEP (T T) T))
(PROCLAIM '(FUNCTION SUPPORTERS-OF (T) T))
(PROCLAIM '(FUNCTION SUPPORTERS-OF1 (T T) T))
(PROCLAIM '(FUNCTION TABULATE (T T) T))
(PROCLAIM '(FUNCTION TAMEP (T) T))
(PROCLAIM '(FUNCTION TAMEP-LIST (T) T))
(PROCLAIM '(FUNCTION TERM-ORDER (T T) T))
(PROCLAIM '(FUNCTION TERMINATION-MACHINE (T T T) T))
(PROCLAIM '(FUNCTION TERMP (T) T))
(PROCLAIM '(FUNCTION TERMP-LIST (T) T))
(PROCLAIM '(FUNCTION THEORYP (T) T))
(PROCLAIM '(FUNCTION TIME-IN-60THS NIL T))
(PROCLAIM '(FUNCTION TIME-LIMIT NIL T))
(PROCLAIM '(FUNCTION TO-BE-IGNOREDP (T) T))
(PROCLAIM '(FUNCTION TOO-MANY-IFS (T T) T))
(PROCLAIM '(FUNCTION TOP-FNNAME (T) T))
(PROCLAIM '(FUNCTION TRANSITIVE-CLOSURE (T T) T))
(PROCLAIM '(FUNCTION TRANSLATE (T) T))
(PROCLAIM '(FUNCTION TRANSLATE-AND-CHK (T) T))
(PROCLAIM '(FUNCTION TRANSLATE-TO-LISP (T) T))
(PROCLAIM '(FUNCTION TREE-DEPENDENTS (T) T))
(PROCLAIM '(FUNCTION TRIVIAL-POLYP (T) T))
(PROCLAIM '(FUNCTION TRIVIAL-POLYP1 (T T) T))
(PROCLAIM '(FUNCTION TRUE-POLYP (T) T))
(PROCLAIM '(FUNCTION TYPE-ALIST-CLAUSE (T) T))
(PROCLAIM '(FUNCTION TYPE-PRESCRIPTION-LEMMAP (T) T))
(PROCLAIM '(FUNCTION TYPE-SET (T) T))
(PROCLAIM '(FUNCTION TYPE-SET2 (T T) T))
(PROCLAIM '(FUNCTION TYPE-SET-TERMP (T) T))
(PROCLAIM '(FUNCTION UGLYP (T) T))
(PROCLAIM '(FUNCTION UNCHANGING-VARS (T) T))
(PROCLAIM '(FUNCTION UNCHANGING-VARS1 (T) T))
(PROCLAIM '(FUNCTION UNDO-BACK-THROUGH (T) T))
(PROCLAIM '(FUNCTION UNDO-BACK-THROUGH-FN (T) T))
(PROCLAIM '(FUNCTION UNDO-NAME (T) T))
(PROCLAIM '(FUNCTION UNDO-NAME-FN (T) T))
(PROCLAIM '(FUNCTION UNION-EQ (T T) T))
(PROCLAIM '(FUNCTION UNION-EQUAL (T T) T))
(PROCLAIM '(FUNCTION UNPRETTYIFY (T) T))
(PROCLAIM '(FUNCTION UNSTABLE-SORT (T T) T))
(PROCLAIM '(FUNCTION UNTRANSLATE (T) T))
(PROCLAIM '(FUNCTION UNTRANSLATE-EVENT (T) T))
(PROCLAIM '(FUNCTION UNTRANSLATE-FS (T) T))
(PROCLAIM '(FUNCTION UNTRANSLATE-HINTS (T) T))
(PROCLAIM '(FUNCTION UNTRANSLATE-QUOTE (T) T))
(PROCLAIM '(FUNCTION UPDATE-PERSISTENCE-ALIST (T T) T))
(PROCLAIM '(FUNCTION VARIANTP (T T) T))
(PROCLAIM '(FUNCTION VVV- (T) T))
(PROCLAIM '(FUNCTION WORSE-THAN (T T) T))
(PROCLAIM '(FUNCTION WORSE-THAN-OR-EQUAL (T T) T))
(PROCLAIM '(FUNCTION WRAPUP (T) T))
(PROCLAIM '(FUNCTION XXXJOIN (T T) T))
(PROCLAIM '(FUNCTION ZERO-POLY (T) T))
(PROCLAIM '(FUNCTION !CLAUSE-SET (T T) T))
(PROCLAIM '(FUNCTION !CLAUSE (T T) T))
(PROCLAIM '(FUNCTION EQUALITY-HYP-NO (T T) T))
(PROCLAIM '(FUNCTION GET-SCHEMA-MEASURE-RELATION (T T) T))
(PROCLAIM '(FUNCTION IO (T T T T T) T))
(PROCLAIM '(FUNCTION IO1 NIL T))
(PROCLAIM '(FUNCTION JUSTIFICATION-SENTENCE NIL T))
(PROCLAIM '(FUNCTION !LIST1 (T T T) T))
(PROCLAIM '(FUNCTION !LIST (T) T))
(PROCLAIM '(FUNCTION MAPRINEVAL (T T T T T T T) T))
(PROCLAIM '(FUNCTION NOTICE-CLAUSE (T T T) T))
(PROCLAIM '(FUNCTION PEVAL (T) T))
(PROCLAIM '(FUNCTION PEVAL-APPLY (T T) T))
(PROCLAIM '(FUNCTION PEVALV (T) T))
(PROCLAIM '(FUNCTION PLURALP (T) T))
(PROCLAIM '(FUNCTION !PPR-LIST (T T) T))
(PROCLAIM '(FUNCTION !PPR (T T) T))
(PROCLAIM '(FUNCTION PRIN5* (T) T))
(PROCLAIM '(FUNCTION PRINEVAL (T T T T) T))
(PROCLAIM '(FUNCTION PRINEVAL1 (T) T))
(PROCLAIM '(FUNCTION PRINT-DEFN-MSG (T T) T))
(PROCLAIM '(FUNCTION !TERM (T T) T))
(PROCLAIM '(FUNCTION !TERM-LIST (T T) T))
(PROCLAIM '(FUNCTION TH-IFY (T) T))
(PROCLAIM '(FUNCTION UN-NOTICE-CLAUSE (T) T))
(PROCLAIM '(FUNCTION PPRIND (T T T T) T))
(PROCLAIM '(FUNCTION PPRPACK NIL T))
(PROCLAIM '(FUNCTION PPR1 (T T) T))
(PROCLAIM '(FUNCTION PPR2 (T T T) T))
(PROCLAIM '(FUNCTION PPR22 (T) T))
(PROCLAIM '(FUNCTION TERPRISPACES (T T) T))
