; Copyright (C) 1994 by Computational Logic, Inc.  All Rights Reserved.

; This script is hereby placed in the public domain, and therefore unlimited
; editing and redistribution is permitted.

; NO WARRANTY

; Computational Logic, Inc. PROVIDES ABSOLUTELY NO WARRANTY.  THE EVENT SCRIPT
; IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,
; INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND
; FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND
; PERFORMANCE OF THE SCRIPT IS WITH YOU.  SHOULD THE SCRIPT PROVE DEFECTIVE, YOU
; ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

; IN NO EVENT WILL Computational Logic, Inc. BE LIABLE TO YOU FOR ANY DAMAGES,
; ANY LOST PROFITS, LOST MONIES, OR OTHER SPECIAL, INCIDENTAL OR CONSEQUENTIAL
; DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THIS SCRIPT (INCLUDING BUT
; NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES
; SUSTAINED BY THIRD PARTIES), EVEN IF YOU HAVE ADVISED US OF THE POSSIBILITY OF
; SUCH DAMAGES, OR FOR ANY CLAIM BY ANY OTHER PARTY.

(defun check-time-triple ()
  (save-excursion
    (beginning-of-line)
    (looking-at "[[]")))

(defun nqthm-compare-windows ()
  "A modification of compare-windows that ignores differences in Nqthm time triples."
  (interactive)
  (compare-windows)
  (while
      (and (check-time-triple)
	   (progn (other-window 1)
		  (check-time-triple)))
    (end-of-line)
    (other-window 1)
    (end-of-line)
    (compare-windows)))
